## qubes-gpg-split 2.0.34

=== debian/changelog ===
qubes-gpg-split (2.0.34-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Marek Marczykowski-Górecki <user@build-debian3>  Thu, 06 Dec 2018 13:49:06 +0000

qubes-gpg-split (2.0.34-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * tests: add xdotool dependency
  * tests: improve workaround for Whonix's time randomization
  * tests: improve timeout handling in thunderbird tests
  * Ignore --photo-viewer
  * tests: Evolution integration
  * tests: Evolution on Debian
  * debian: install test_evolution.py
  * tests/thunderbird: give a file choosing dialog a little time
  * Move confirmation prompt to qubes.Gpg shell script
  * Wait for GUI session before asking the user for confirmation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Dec 2018 14:39:23 +0100

qubes-gpg-split (2.0.33-1) unstable; urgency=medium

  * tests: handle desynced clock in Whonix also in basic tests
  * tests: avoid non-ASCII characters in test results
  * rpm: add BR: gcc
  * tests: fix race condition on .gnupg creation in key import tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 23:57:45 +0200

qubes-gpg-split (2.0.32-1) unstable; urgency=medium

  * tests: fix race condition on .gnupg creation
  * tests: convert to gpg2
  * tests/thunderbid: improve handling file selection dialog
  * tests/thunderbird: improve error reporting
  * tests/thunderbird: disable pEp before setting anything else
  * tests/thunderbird: make Enigmail settings work with TB 60
  * tests/thunderbird: handle addons manager in TB 60+
  * tests/thunderbird: autoconfiguration prompt in TB 60
  * tests/thunderbird: tweaks for Thunderbird 60
  * tests/thunderbird: disable html message composing
  * tests/thunderbird: use Node.child instead of GenericPredicate
  * tests/thunderbird: switch to python3
  * travis: update config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Sep 2018 04:42:33 +0200

qubes-gpg-split (2.0.31-1) unstable; urgency=medium

  * Allow --logger-fd option
  * Emulate --log-file with --logger-fd

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jun 2018 00:46:47 +0200

qubes-gpg-split (2.0.30-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Add --sender and --set-filename option to the whitelist
  * tests: update for Enigmail 2.0

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * src: add debug '-g'
  * spec.in: add changelog placeholder
  * Fix GCC8 warnings

  [ Marek Marczykowski-Górecki ]
  * travis: add R4.0, remove R3.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Apr 2018 04:41:31 +0200

qubes-gpg-split (2.0.29-1) unstable; urgency=medium

  [ hark ]
  * Use local gpg when access to keyring is not needed.
  * use array
  * remove passprase-fd

  [ Marek Marczykowski-Górecki ]
  * Add --no-auto-check-trustdb option to the whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 28 Mar 2018 03:54:29 +0200

qubes-gpg-split (2.0.28-1) unstable; urgency=medium

  * tests: install also for python3 - for Qubes 4.0
  * tests: avoid interactive password prompt on gpg 2.1
  * rpm: fix build dependencies for python3
  * tests: some more places for gpg 2.1 password prompt, improve
    reporting,
  * Add support for --enable-special-filenames
  * Add more options to the whitelist
  * Fix handling -q option
  * Whitelist --{cert,sig,set}-notation options
  * Add --verify-options to the whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Feb 2018 15:24:03 +0100

qubes-gpg-split (2.0.27-1) unstable; urgency=medium

  [ Nedyalko Andreev ]
  * Fix archlinux package - remove /var/run
  * Fix minor indentation and shellcheck issues

  [ Olivier MEDOC ]
  * archlinux: rename package to follow other distributions naming

  [ Marek Marczykowski-Górecki ]
  * Add list-options to the whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 04:44:17 +0100

qubes-gpg-split (2.0.26-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: fix Depends:

  [ anoadragon453 ]
  * Add expire time to GPG access notifications

  [ Marek Marczykowski-Górecki ]
  * Convert tabs to spaces
  * Add hidden recipients related options
  * Whitelist --keyid-format
  * Add --throw-keyids/--no-throw-keyids options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Jul 2017 13:23:53 +0200

qubes-gpg-split (2.0.25-1) unstable; urgency=medium

  [ Nicklaus McClendon ]
  * Removed .travis.yml debootstrap fix
  * Added basic README.md
  * Added manpages
  * Added pandoc to Arch package dependencies
  * Print to standard out if output is '-'

  [ Marek Marczykowski-Górecki ]
  * typo fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 May 2017 15:02:19 +0200

qubes-gpg-split (2.0.24-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: exclude Whonix Gateway
  * tests: disable logging to file to avoid utf-8 handling problems
  * tests: give TB some time to handle message
  * tests: workaround time desynchronization issues on Whonix

  [ Jacob Jenner Rasmussen ]
  * archlinux support

  [ Marek Marczykowski-Górecki ]
  * Don't trash stderr with zenity messages

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Nov 2016 02:00:39 +0100

qubes-gpg-split (2.0.23-1) wheezy; urgency=medium

  * Don't mix stdout and --output content
  * Implement the --status-fd workflow for other data-outputing options
  * tests: add test for --status-fd 1 and --output conflict

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 05:22:53 +0200

qubes-gpg-split (2.0.22-1) wheezy; urgency=medium

  * Redirect qubes-gpg-client-wrapper --import into qubes-gpg-import-key
  * Fix handling --verify option validation
  * Allow --export option


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DESTDIR=$(shell readlink -m .)/debian/tmp

%:
	dh $@ --with autotools-dev

override_dh_auto_build:
	dh_clean --keep
	make build

override_dh_auto_install:
	make install-vm

override_dh_install:
	dh_install --fail-missing

## qubes-gpg-split 2.0.35

=== debian/changelog ===
qubes-gpg-split (2.0.35-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 10 Mar 2019 01:48:25 +0100

qubes-gpg-split (2.0.35-1) unstable; urgency=medium

  * tests: improve error reporting
  * tests: update for Thunderbird 60
  * tests: increase timeout for Thunderbird start
  * tests: adjust for Whonix, increase timeouts
  * tests: adjust for TB version in Whonix 14
  * debian: drop autotools in debian/rules
  * tests: force C.UTF-8 locale
  * tests: force C.UTF-8 locale during thunderbird setup too
  * rpm: fix Source0 tag
  * rpm: specify python binaries to build with
  * rpm: fix python macros one more time
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 10 Mar 2019 01:48:25 +0100

## qubes-gpg-split 2.0.36

=== debian/changelog ===
qubes-gpg-split (2.0.36-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 21 Mar 2019 03:59:44 +0100

qubes-gpg-split (2.0.36-1) unstable; urgency=medium

  [ Alex Jordan ]
  * Whitelist --export-ssh-key option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 21 Mar 2019 03:59:44 +0100

## qubes-gpg-split 2.0.37

=== debian/changelog ===
qubes-gpg-split (2.0.37-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 11 May 2019 18:56:10 +0200

qubes-gpg-split (2.0.37-1) wheezy; urgency=medium

  * Do not block actual gpg operation on notification

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 May 2019 18:56:10 +0200

## qubes-gpg-split 2.0.38

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

RPMS_DIR=rpm/
VERSION := $(shell cat version)

help:
	@echo "Qubes addons main Makefile:" ;\
		echo "make rpms                 <--- make rpms and sign them";\
		echo; \
		echo "make clean                <--- clean all the binary files";\
		echo "make update-repo-current  <-- copy newly generated rpms to qubes yum repo";\
		echo "make update-repo-current-testing <-- same, but for -current-testing repo";\
		echo "make update-repo-unstable <-- same, but to -testing repo";\
		echo "make update-repo-installer -- copy dom0 rpms to installer repo"
		@exit 0;

rpms: rpms-vm

rpms-dom0:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/gpg-split-dom0.spec
	rpm --addsign rpm/x86_64/qubes-gpg-split-dom0*$(VERSION)*.rpm

rpms-vm:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/gpg-split.spec
	rpm --addsign rpm/x86_64/qubes-gpg-split*$(VERSION)*.rpm

update-repo-current:
	for vmrepo in ../yum/current-release/current/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split-dom0-*$(VERSION)*.rpm ../yum/current-release/current/dom0/rpm/

update-repo-current-testing:
	for vmrepo in ../yum/current-release/current-testing/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split-dom0-*$(VERSION)*.rpm ../yum/current-release/current-testing/dom0/rpm/

update-repo-unstable:
	for vmrepo in ../yum/current-release/unstable/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split-dom0-*$(VERSION)*.rpm ../yum/current-release/unstable/dom0/rpm/

update-repo-template:
	for vmrepo in ../template-builder/yum_repo_qubes/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

update-repo-installer:
	ln -f $(RPMS_DIR)/x86_64/qubes-gpg-split-dom0-*$(VERSION)*.rpm ../installer/yum/qubes-dom0/rpm/

build:
	$(MAKE) -C src
	$(MAKE) -C doc manpages

install-vm:
	install -d $(DESTDIR)/usr/lib/qubes-gpg-split
	install -t $(DESTDIR)/usr/lib/qubes-gpg-split src/pipe-cat src/gpg-server
	install -D src/gpg-client $(DESTDIR)/usr/bin/qubes-gpg-client
	install -D gpg-client-wrapper $(DESTDIR)/usr/bin/qubes-gpg-client-wrapper
	install -D gpg-import-key $(DESTDIR)/usr/bin/qubes-gpg-import-key
	install -D qubes.Gpg.service $(DESTDIR)/etc/qubes-rpc/qubes.Gpg
	install -D qubes.GpgImportKey.service $(DESTDIR)/etc/qubes-rpc/qubes.GpgImportKey
	install -D qubes-gpg.sh $(DESTDIR)/etc/profile.d/qubes-gpg.sh
	install -d $(DESTDIR)/var/run/qubes-gpg-split
	install -D qubes-gpg-split.tmpfiles $(DESTDIR)/etc/tmpfiles.d/qubes-gpg-split.conf
	make -C tests install-vm
	make -C doc install

clean:
	$(MAKE) -C src clean
	$(MAKE) -C doc clean

=== debian/changelog ===
qubes-gpg-split (2.0.38-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 16 May 2019 19:09:03 +0200

qubes-gpg-split (2.0.38-1) unstable; urgency=medium

  [ redshiftzero ]
  * GpgImportKey: pass --no-tty through

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 May 2019 19:09:03 +0200

## qubes-gpg-split 2.0.39

=== debian/changelog ===
qubes-gpg-split (2.0.39-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 30 Sep 2019 00:08:00 +0200

qubes-gpg-split (2.0.39-1) unstable; urgency=medium

  [ LawAbidingCactus ]
  * remove duplicated option in manpage

  [ Marek Marczykowski-Górecki ]
  * tests: adjust for Thunderbird 68
  * travis: switch to xenial, update distributions, drop R3.2
  * tests: accept "Qubes Attachments" addon

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 30 Sep 2019 00:08:00 +0200

## qubes-gpg-split 2.0.40

=== tests/Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2016 Marek Marczykowski-Górecki
#                                   <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.
#

PYTHON2 ?= python
PYTHON3 ?= python3

all:
	@true

install-dom0:
	$(PYTHON2) setup.py install -O1 --root $(DESTDIR)
	$(PYTHON3) setup.py install -O1 --root $(DESTDIR)

install-vm:
	install -d $(DESTDIR)/usr/lib/qubes-gpg-split
	install test_*.py $(DESTDIR)/usr/lib/qubes-gpg-split/

=== debian/changelog ===
qubes-gpg-split (2.0.40-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 05 Oct 2019 21:52:10 +0200

qubes-gpg-split (2.0.40-1) unstable; urgency=medium

  [ w1k1n9cc ]
  * Git is great but not in that case ;-)
  * wrong identation

  [ Marek Marczykowski-Górecki ]
  * tests: give more time for the actual test

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Oct 2019 21:52:10 +0200

## qubes-gpg-split 2.0.41

=== debian/changelog ===
qubes-gpg-split (2.0.41-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 28 Oct 2019 04:24:17 +0100

qubes-gpg-split (2.0.41-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * add ignore for --disable-dirmngr option

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Oct 2019 04:24:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DESTDIR=$(shell readlink -m .)/debian/tmp
 
 %:
-	dh $@ --with autotools-dev
+	dh $@
 
 override_dh_auto_build:
 	dh_clean --keep

## qubes-gpg-split 2.0.42

=== debian/changelog ===
qubes-gpg-split (2.0.42-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 07 Dec 2019 05:14:48 +0100

qubes-gpg-split (2.0.42-1) unstable; urgency=medium

  * tests: improve handling compose window in TB 68

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Dec 2019 05:14:48 +0100

## qubes-gpg-split 2.0.43

=== debian/changelog ===
qubes-gpg-split (2.0.43-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 06 Jan 2020 02:59:41 +0100

qubes-gpg-split (2.0.43-1) unstable; urgency=medium

  * Don't include python2 tests on new dom0 (based on >f28)
  * travis: switch to fc31 dom0
  * Fix qrexec policy permission

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jan 2020 02:59:41 +0100

## qubes-gpg-split 2.0.44

=== debian/changelog ===
qubes-gpg-split (2.0.44-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 28 Jan 2020 03:51:00 +0100

qubes-gpg-split (2.0.44-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * Accept --personal-{cipher,...}-preferences with option-argument

  [ Abel Luck ]
  * Whitelist opts to get mozilla/sops compatibility

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Jan 2020 03:51:00 +0100

## qubes-gpg-split 2.0.45

=== debian/changelog ===
qubes-gpg-split (2.0.45-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 25 Feb 2020 19:55:51 +0100

qubes-gpg-split (2.0.45-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Made split GPG permission question box nicer

  [ Marek Marczykowski-Górecki ]
  * rpm: do not drop executable bit from qubes.GpgImportKey service
  * Make qubes.GpgImportKey service a proper script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Feb 2020 19:55:51 +0100

## qubes-gpg-split 2.0.46

=== debian/changelog ===
qubes-gpg-split (2.0.46-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 12 Jun 2020 04:18:48 +0200

qubes-gpg-split (2.0.46-1) unstable; urgency=medium

  * Add --unwrap to allowed options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 12 Jun 2020 04:18:48 +0200

## qubes-gpg-split 2.0.47

=== debian/changelog ===
qubes-gpg-split (2.0.47-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 16 Jun 2020 14:19:07 +0200

qubes-gpg-split (2.0.47-1) unstable; urgency=medium

  * Ignore tty/display related options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 16 Jun 2020 14:19:07 +0200

## qubes-gpg-split 2.0.48

=== debian/changelog ===
qubes-gpg-split (2.0.48-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 10 Oct 2020 05:16:13 +0200

qubes-gpg-split (2.0.48-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update makefile
  * Update travis
  * spec: replace hardcoded python3

  [ Ludovic Bellier ]
  * Fix tmpfiles.d using a directory link

  [ Frédéric Pierret (fepitre) ]
  * test_thunderbird: make PEP8 happier
  * test_thunderbird: handle thunderbird-78+
  * tests: enhance behavior and increase action and default delays
  * Fix tests for Thunderbird 68
  * tests: do show_menu_bar after skip_autoconf

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Oct 2020 05:16:13 +0200

## qubes-gpg-split 2.0.49

=== src/Makefile ===
#CFLAGS=-Wall -Werror -g -DDEBUG
CFLAGS=-Wall -Wextra -Werror -O -g
LDLIBS=-lpthread

all: gpg-client gpg-server pipe-cat

gpg-client: gpg-client.o multiplex.o gpg-common.o

gpg-server: gpg-server.o multiplex.o gpg-common.o

gpg-server.o: gpg-server.c gpg-common.h multiplex.h
gpg-client.o: gpg-client.c gpg-common.h multiplex.h

gpg-common.o: gpg-common.c gpg-common.h

multiplex.o: multiplex.c multiplex.h

clean:
	rm -f *.o gpg-client gpg-server pipe-cat

=== debian/changelog ===
qubes-gpg-split (2.0.49-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 13 Nov 2020 03:12:57 +0100

qubes-gpg-split (2.0.49-1) unstable; urgency=medium

  * Adjust tests for Debian 10
  * rpm: skip python3-dogtail on CentOS
  * tests: try to get the main TB window, not any splash screen

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Nov 2020 03:12:57 +0100

## qubes-gpg-split 2.0.50

=== tests/Makefile ===
--- 
+++ 
@@ -26,8 +26,12 @@
 all:
 	@true
 
-install-dom0:
+install-dom0: install-dom0-py2 install-dom0-py3
+
+install-dom0-py2:
 	$(PYTHON2) setup.py install -O1 --root $(DESTDIR)
+
+install-dom0-py3:
 	$(PYTHON3) setup.py install -O1 --root $(DESTDIR)
 
 install-vm:

=== debian/changelog ===
qubes-gpg-split (2.0.50-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 08 Dec 2020 18:31:56 +0100

qubes-gpg-split (2.0.50-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * Improve reproducibility
  * Allow to override defined CFLAGS

  [ Marek Marczykowski-Górecki ]
  * tests: adjust key import dialog in debian-10

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Dec 2020 18:31:56 +0100

## qubes-gpg-split 2.0.51

=== debian/changelog ===
qubes-gpg-split (2.0.51-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 06 Aug 2021 03:20:31 +0200

qubes-gpg-split (2.0.51-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ deeplow ]
  * tests: master key sign-only + subkey
  * tests: generate w/ subkeys in remaining tests
  * test: fix missed clicks on "open file" dialogue

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Aug 2021 03:20:31 +0200

## qubes-gpg-split 2.0.52

=== debian/changelog ===
qubes-gpg-split (2.0.52-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 02 Sep 2021 03:47:58 +0200

qubes-gpg-split (2.0.52-1) unstable; urgency=medium

  [ deeplow ]
  * tests: remove deprecated enigmail and tb<78 code
  * tests: remove creation of .gnupg (enigmail req.)
  * tests: manage thunderbird through dedicated class
  * add retry_if_failed wrapper to setup function
  * retry_if_failed add_local_account (now idempotent)
  * use functools wraps in decorator

  [ Marek Marczykowski-Górecki ]
  * tests: avoid redirect to dogtail repo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Sep 2021 03:47:58 +0200

## qubes-gpg-split 2.0.53

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

LIBDIR ?= /usr/lib

build:
	$(MAKE) -C src
	$(MAKE) -C doc manpages

install-vm:
	install -d $(DESTDIR)$(LIBDIR)/qubes-gpg-split
	install -t $(DESTDIR)$(LIBDIR)/qubes-gpg-split src/pipe-cat src/gpg-server
	install -D src/gpg-client $(DESTDIR)/usr/bin/qubes-gpg-client
	install -D gpg-client-wrapper $(DESTDIR)/usr/bin/qubes-gpg-client-wrapper
	install -D gpg-import-key $(DESTDIR)/usr/bin/qubes-gpg-import-key
	install -D qubes.Gpg.service $(DESTDIR)/etc/qubes-rpc/qubes.Gpg
	install -D qubes.GpgImportKey.service $(DESTDIR)/etc/qubes-rpc/qubes.GpgImportKey
	install -D qubes-gpg.sh $(DESTDIR)/etc/profile.d/qubes-gpg.sh
	install -d $(DESTDIR)/var/run/qubes-gpg-split
	install -D qubes-gpg-split.tmpfiles $(DESTDIR)/etc/tmpfiles.d/qubes-gpg-split.conf
	make -C tests install-vm
	make -C doc install

clean:
	$(MAKE) -C src clean
	$(MAKE) -C doc clean
	rm -rf debian/changelog.*
	rm -rf pkgs

=== debian/changelog ===
qubes-gpg-split (2.0.53-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Thu, 09 Sep 2021 22:27:04 +0200

qubes-gpg-split (2.0.53-1) unstable; urgency=medium

  * Correctly mark --s2k-* options as requiring an argument
  * Properly handle gpg's command options
  * Fix --with-colons declaration
  * Remove duplicated --fixed-list-mode
  * Add --default-recipient option to the parser
  * Fix forbidden option reporting
  * Add --display option to the parser
  * tests: include stderr in the failure message
  * tests: option arguments parsing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 09 Sep 2021 22:27:04 +0200

## qubes-gpg-split 2.0.54

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-#CFLAGS=-Wall -Werror -g -DDEBUG
-CFLAGS=-Wall -Wextra -Werror -O -g
+CFLAGS+=-Wall -Wextra -Werror -O -g
 LDLIBS=-lpthread
 
 all: gpg-client gpg-server pipe-cat

=== debian/changelog ===
qubes-gpg-split (2.0.54-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 09 Nov 2021 05:08:38 +0100

qubes-gpg-split (2.0.54-1) unstable; urgency=medium

  [ Alyssa Ross ]
  * Fix off-by-one in fd path replacement
  * Make fd path replacement length check clearer

  [ Demi Marie Obenour ]
  * Tighten up parsing of file descriptors

  [ deeplow ]
  * test: add IMAP server as tb 91+ removed movemail
  * tests: thunderbird use user.js for default profile
  * tests: remove autoconf and local account setup code
  * tests: autotype IMAP password
  * tests: fix bug where arguments were missing a space
  * tests: more fixes for tb 91+
  * tests: remove deprecated tb OpenPGP message code
  * tests: tb fix OpenPGP opening in tb91+
  * tests: make thunderbird user.js dynamically generated
  * tests: check mail manually instead
  * tests: improve resilience of OpenPGP button click
  * tests: support windows with role 'frame' or 'dialog'
  * tests: retry "enter imap password" on fail

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Nov 2021 05:08:38 +0100

## qubes-gpg-split 2.0.55

=== debian/changelog ===
qubes-gpg-split (2.0.55-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 12 Dec 2021 19:45:54 +0100

qubes-gpg-split (2.0.55-1) unstable; urgency=medium

  [ deeplow ]
  * tests: tb add PGP key to acct via user.js
  * tests: remove deprecated enigmail HACK & tb restart

  [ Demi Marie Obenour ]
  * Fix quoting bug
  * Trivial client cleanup
  * Add trailing newline in error message
  * Remove ‘--rfc1991’
  * Fix some bugs in the wrapper script
  * Remove options already ignored in wrapper script
  * Do not allow remote qube to control argv[0] of gpg
  * Better error message if GPG tries to read a password
  * Fix short option handling in wrapper script
  * Reject abbreviated long options
  * Server: reduce getopt_long(3)’s attack surface
  * Never permute arguments and options
  * Require arguments to be printable UTF-8
  * Fix some bugs in the wrapper script
  * Convert --detach into --detach-sign
  * Use bash's [[ consistently
  * Consolidate redundant case branches
  * Avoid mishandling empty strings

  [ Marek Marczykowski-Górecki ]
  * Do not use fancy unicode quotes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 12 Dec 2021 19:45:54 +0100

## qubes-gpg-split 2.0.56

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,9 @@
 	$(MAKE) -C src
 	$(MAKE) -C doc manpages
 
-install-vm:
+install-vm-common:
 	install -d $(DESTDIR)$(LIBDIR)/qubes-gpg-split
-	install -t $(DESTDIR)$(LIBDIR)/qubes-gpg-split src/pipe-cat src/gpg-server
+	install -t $(DESTDIR)$(LIBDIR)/qubes-gpg-split src/gpg-server
 	install -D src/gpg-client $(DESTDIR)/usr/bin/qubes-gpg-client
 	install -D gpg-client-wrapper $(DESTDIR)/usr/bin/qubes-gpg-client-wrapper
 	install -D gpg-import-key $(DESTDIR)/usr/bin/qubes-gpg-import-key
@@ -39,6 +39,12 @@
 	make -C tests install-vm
 	make -C doc install
 
+install-vm-deb: install-vm-common
+	make -C tests install-vm-deb
+
+install-vm-fedora: install-vm-common
+install-vm: install-vm-common
+
 clean:
 	$(MAKE) -C src clean
 	$(MAKE) -C doc clean

=== debian/changelog ===
qubes-gpg-split (2.0.56-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 14 Feb 2022 21:08:45 +0100

qubes-gpg-split (2.0.56-1) unstable; urgency=medium

  [ deeplow ]
  * tests: increase search attempts for thunderbird start
  * tests: earlier detection of failed message sending
  * print failed to send error
  * merge timeout approaches
  * undo removal of resetting dogtail search count
  * tests: reduce whonix boot clock rand during testing

  [ Demi Marie Obenour ]
  * Translate ‘--detach-sig’ to ‘--detach-sign’
  * Allow '--clear-sign' as well as '--clearsign'
  * Fix the Arch build
  * Forcibly disable dirmngr
  * Ignore several options used by kmail
  * Allow --with-secret
  * More robust file descriptor handling
  * Ditch pipecat and fix hangs
  * Ignore various options used by Mailpile
  * Allow `--utf8-strings`
  * Reject non-UTF-8 compatible display charsets
  * Recognize -o in addition to --output
  * Use set_output for -o as well as --output
  * `--output` is more than just stdout redirection
  * Prevent GPG from launching a photo viewer
  * Sanitize arguments to --list-options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 14 Feb 2022 21:08:45 +0100

## qubes-gpg-split 2.0.57

=== debian/changelog ===
qubes-gpg-split (2.0.57-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 28 Feb 2022 21:53:38 +0100

qubes-gpg-split (2.0.57-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Harden move_fds against bad file descriptor values
  * Avoid out of bounds access to closed_fds
  * Properly validate file descriptor arguments
  * Open signature file with O_CLOEXEC and O_NOCTTY
  * Fix assertion for new file descriptor limit
  * Avoid closing a needed file descriptor
  * Use pipe2(O_CLOEXEC) instead of closing fds
  * Use _Bool for a type that must always be 0 or 1
  * Use _exit(), not exit(), in the child after fork()
  * Set empty handler for SIGPIPE
  * process_out(): treat an empty FD_SET properly
  * process_io(): block SIGCHLD
  * Fix remaining hangs
  * Allow --attribute-fd

  [ Patrick Schleizer ]
  * add alias `--sign-with` to `-u`
  * Update gpg-client-wrapper

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Feb 2022 21:53:38 +0100

## qubes-gpg-split 2.0.58

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS+=-Wall -Wextra -Werror -O -g
 LDLIBS=-lpthread
 
-all: gpg-client gpg-server pipe-cat
+all: gpg-client gpg-server
 
 gpg-client: gpg-client.o multiplex.o gpg-common.o
 
@@ -15,4 +15,4 @@
 multiplex.o: multiplex.c multiplex.h
 
 clean:
-	rm -f *.o gpg-client gpg-server pipe-cat
+	rm -f *.o gpg-client gpg-server

=== debian/changelog ===
qubes-gpg-split (2.0.58-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 02 Apr 2022 02:51:22 +0200

qubes-gpg-split (2.0.58-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * test: avoid false negative from sending status dialog

  [ Demi Marie Obenour ]
  * Reject options ignored by the wrapper script
  * Drop --pgp2
  * Fix list and verify option processing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 02 Apr 2022 02:51:22 +0200

## qubes-gpg-split 2.0.59

=== debian/changelog ===
qubes-gpg-split (2.0.59-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 May 2022 17:15:16 +0200

qubes-gpg-split (2.0.59-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ Demi Marie Obenour ]
  * Allow show-photos as a list or verify option

  [ Marek Marczykowski-Górecki ]
  * tests: update Evolution test for newer settings dialog layout
  * tests: close Evolution settings via xdotool
  * tests: adjust message view in Evolution
  * tests: really just sign in test_010_send_receive_signed_only

  [ Frédéric Pierret (fepitre) ]
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 May 2022 17:15:16 +0200

## qubes-gpg-split 2.0.60

=== debian/changelog ===
qubes-gpg-split (2.0.60-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 30 May 2022 03:01:37 +0200

qubes-gpg-split (2.0.60-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow --list-options show-sig-subpackets

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 30 May 2022 03:01:37 +0200

## qubes-gpg-split 2.0.61

=== debian/changelog ===
qubes-gpg-split (2.0.61-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 27 Jul 2022 04:09:20 +0200

qubes-gpg-split (2.0.61-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Do not ignore -q and --quiet
  * Properly NULL-terminate argument list
  * Fix misleading comments
  * Avoid UBSAN splat on max-length input
  * Ensure that argc is never 0
  * Fix cast to a potentially-misaligned pointer
  * Do not send argv[0] to server
  * Avoid dropping a trailing empty string
  * Allow --export-ownertrust
  * Allow exporting public keyring backups
  * Allow --show-session-key
  * gpg-client: check for too many file names
  * Avoid hang due to premature file descriptor close
  * Have bash choose an unused file descriptor
  * Use common code for file descriptor lists
  * Refuse to use the same FD for both reading and writing
  * Make is_client a const global variable
  * Mark received file descriptors CLOEXEC
  * Check that standard streams are open
  * Allow "qubes-gpg-client --verify - a.sig"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Jul 2022 04:09:20 +0200

## qubes-gpg-split 2.0.62

=== debian/changelog ===
qubes-gpg-split (2.0.62-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 29 Jul 2022 17:38:52 +0200

qubes-gpg-split (2.0.62-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Emulate --quiet in terms of -q

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 29 Jul 2022 17:38:52 +0200

## qubes-gpg-split 2.0.63

=== debian/changelog ===
qubes-gpg-split (2.0.63-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 06 Aug 2022 17:54:31 +0200

qubes-gpg-split (2.0.63-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Disallow --command-fd
  * Force batch mode
  * Prevent GnuPG from using a closed file descriptor
  * Force --exit-on-status-write-error

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 06 Aug 2022 17:54:31 +0200

## qubes-gpg-split 2.0.64

=== debian/changelog ===
qubes-gpg-split (2.0.64-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 15 Nov 2022 04:26:36 +0100

qubes-gpg-split (2.0.64-1) unstable; urgency=medium

  * tests: Fix retry_if_failed decorator
  * tests: update for Thunderbird 102

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 15 Nov 2022 04:26:36 +0100

## qubes-gpg-split 2.0.65

=== debian/changelog ===
qubes-gpg-split (2.0.65-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 19 Jan 2023 12:23:34 +0100

qubes-gpg-split (2.0.65-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Use ppoll() instead of pselect()
  * Clean up spec file cruft

  [ Marek Marczykowski-Górecki ]
  * tests: disable end-of-year message, and similar popups

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR python3-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Jan 2023 12:23:34 +0100

## qubes-gpg-split 2.0.66

=== debian/changelog ===
qubes-gpg-split (2.0.66-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 03 Feb 2023 19:18:45 +0100

qubes-gpg-split (2.0.66-1) unstable; urgency=medium

  * Don't install policy on R4.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 03 Feb 2023 19:18:45 +0100

## qubes-gpg-split 2.0.67

=== debian/changelog ===
qubes-gpg-split (2.0.67-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 26 Apr 2023 05:25:15 +0200

qubes-gpg-split (2.0.67-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * Bare support for new packaging with PKGBUILD.in

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Apr 2023 05:25:15 +0200

=== debian/control ===
Source: qubes-gpg-split
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends: debhelper (>= 9~), pandoc, quilt
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-gpg-split
Section: admin
Architecture: amd64
Depends:
 gnupg2,
 zenity,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The Qubes service for secure gpg separation

Package: qubes-gpg-split-tests
Section: admin
Architecture: amd64
# add python3-dogtail, when packaged for Debian
Depends:
 qubes-gpg-split,
 python3-pyatspi,
 dovecot-imapd,
 xdotool,
 ${misc:Depends}
Description: Helper files for Split GPG tests

## qubes-gpg-split 2.0.68

=== debian/changelog ===
qubes-gpg-split (2.0.68-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 30 Jun 2023 15:57:28 +0200

qubes-gpg-split (2.0.68-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Do not allow + to separate subpacket numbers

  [ Marek Marczykowski-Górecki ]
  * tests: fix clicking top buttons in evolution
  * Ignore --auto-key-locate local,wkd

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Jun 2023 15:57:28 +0200

## qubes-gpg-split 2.0.69

=== doc/Makefile ===
PANDOC=pandoc -s -f rst -t man

DOCS=$(patsubst %.rst,%.1.gz,$(wildcard *.rst))

help:
	@echo "make manpages			-- generate manpages"
	@echo "make install			-- generate manpages and copy them to /usr/share/man"

manpages: $(DOCS)

install: manpages
	install -d $(DESTDIR)/usr/share/man/man1
	install -D $(DOCS) $(DESTDIR)/usr/share/man/man1/

%.1: %.rst
	$(PANDOC) $< > $@

%.1.gz: %.1
	gzip -f $<

clean:
	rm -f $(DOCS)

=== debian/changelog ===
qubes-gpg-split (2.0.69-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 08 Aug 2023 12:49:49 +0200

qubes-gpg-split (2.0.69-1) unstable; urgency=medium

  * tests: use distribution's dogtail package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Aug 2023 12:49:49 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
 Package: qubes-gpg-split-tests
 Section: admin
 Architecture: amd64
-# add python3-dogtail, when packaged for Debian
 Depends:
  qubes-gpg-split,
  python3-pyatspi,
+ python3-dogtail,
  dovecot-imapd,
  xdotool,
  ${misc:Depends}

## qubes-gpg-split 2.0.70

=== debian/changelog ===
qubes-gpg-split (2.0.70-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 26 Oct 2023 04:45:43 +0200

qubes-gpg-split (2.0.70-1) unstable; urgency=medium

  * tests: try harder to avoid donation prompt during tests
  * tests: update for Thunderbird 115

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Oct 2023 04:45:43 +0200

## qubes-gpg-split 2.0.71

=== src/Makefile ===
CFLAGS+=-Wall -Wextra -Werror -O -g -fPIC -D_FORTIFY_SOURCE=2 -pthread
LDLIBS=-pthread -fPIC -D_FORTIFY_SOURCE=2

all: gpg-client gpg-server

gpg-client: gpg-client.o multiplex.o gpg-common.o gpg-list-options.o

gpg-server: gpg-server.o multiplex.o gpg-common.o gpg-list-options.o

gpg-server.o: gpg-server.c gpg-common.h multiplex.h
gpg-client.o: gpg-client.c gpg-common.h multiplex.h

gpg-common.o: gpg-common.c gpg-common.h
gpg-list-options.o: gpg-list-options.c gpg-common.h

multiplex.o: multiplex.c multiplex.h

clean:
	rm -f ./*.o gpg-client gpg-server

=== debian/changelog ===
qubes-gpg-split (2.0.71-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 27 Apr 2024 03:35:56 +0200

qubes-gpg-split (2.0.71-1) unstable; urgency=medium

  * rpm: adjust BR for directory ownership check in openSUSE
  * rpm: do not package directory in /var/run
  * Use /usr/lib/tmpfiles.d instead of /etc/tmpfiles.d
  * Do not install man pages and profile.d files as executable
  * Make /run/qubes-gpg-split only group writable
  * rpm: fix license tag
  * tests: switch from smtpd to aiosmtpd

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 27 Apr 2024 03:35:56 +0200

## qubes-gpg-split 2.0.72

=== debian/changelog ===
qubes-gpg-split (2.0.72-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 18 Jul 2024 04:26:30 +0200

qubes-gpg-split (2.0.72-1) unstable; urgency=medium

  * Fix build error on redefined _FORTIFY_SOURCE
  * tests: handle both Save and Save All dialogs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Jul 2024 04:26:30 +0200

## qubes-gpg-split 2.0.73

=== debian/changelog ===
qubes-gpg-split (2.0.73-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:39:54 +0200

qubes-gpg-split (2.0.73-1) unstable; urgency=medium

  * rpm: mark dom0 package as noarch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Aug 2024 17:39:54 +0200

## qubes-gpg-split 2.0.74

=== debian/changelog ===
qubes-gpg-split (2.0.74-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:41:41 +0200

qubes-gpg-split (2.0.74-1) unstable; urgency=medium

  * tests: assertEquals -> assertEqual

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:41:41 +0200

## qubes-gpg-split 2.0.75

=== debian/changelog ===
qubes-gpg-split (2.0.75-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 03 Oct 2024 04:41:23 +0200

qubes-gpg-split (2.0.75-1) unstable; urgency=medium

  * tests: adjust for Thunderbird 128
  * ci: drop R4.1, add R4.3
  * tests: adjust for 'push button' -> 'button' role change

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Oct 2024 04:41:23 +0200

## qubes-gpg-split 2.0.76

=== debian/changelog ===
qubes-gpg-split (2.0.76-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 14 Mar 2025 22:21:59 +0100

qubes-gpg-split (2.0.76-1) unstable; urgency=medium

  * tests: update for Thunderbird version/config in Whonix 17

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 14 Mar 2025 22:21:59 +0100

## qubes-gpg-split 2.0.77

=== debian/changelog ===
qubes-gpg-split (2.0.77-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 07 Apr 2025 16:21:50 +0200

qubes-gpg-split (2.0.77-1) unstable; urgency=medium

  * tests: adjust error handling
  * tests: adjust disabling donation prompt, yet again

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 Apr 2025 16:21:50 +0200

## qubes-gpg-split 2.0.78

=== debian/changelog ===
qubes-gpg-split (2.0.78-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 10 Jun 2025 22:02:44 +0200

qubes-gpg-split (2.0.78-1) unstable; urgency=medium

  * tests: fix setting up IMAP on Whonix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Jun 2025 22:02:44 +0200

## qubes-gpg-split 2.0.79

=== Makefile ===
--- 
+++ 
@@ -33,9 +33,8 @@
 	install -D gpg-import-key $(DESTDIR)/usr/bin/qubes-gpg-import-key
 	install -D qubes.Gpg.service $(DESTDIR)/etc/qubes-rpc/qubes.Gpg
 	install -D qubes.GpgImportKey.service $(DESTDIR)/etc/qubes-rpc/qubes.GpgImportKey
-	install -D qubes-gpg.sh $(DESTDIR)/etc/profile.d/qubes-gpg.sh
-	install -d $(DESTDIR)/var/run/qubes-gpg-split
-	install -D qubes-gpg-split.tmpfiles $(DESTDIR)/etc/tmpfiles.d/qubes-gpg-split.conf
+	install -m 0644 -D qubes-gpg.sh $(DESTDIR)/etc/profile.d/qubes-gpg.sh
+	install -D qubes-gpg-split.tmpfiles $(DESTDIR)/usr/lib/tmpfiles.d/qubes-gpg-split.conf
 	make -C tests install-vm
 	make -C doc install

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 install: manpages
 	install -d $(DESTDIR)/usr/share/man/man1
-	install -D $(DOCS) $(DESTDIR)/usr/share/man/man1/
+	install -m 0644 -D $(DOCS) $(DESTDIR)/usr/share/man/man1/
 
 %.1: %.rst
 	$(PANDOC) $< > $@

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CFLAGS+=-Wall -Wextra -Werror -O -g -fPIC -D_FORTIFY_SOURCE=2 -pthread
-LDLIBS=-pthread -fPIC -D_FORTIFY_SOURCE=2
+CFLAGS+=-Wall -Wextra -Werror -O -g -fPIC -pthread
+LDLIBS=-pthread -fPIC
 
 all: gpg-client gpg-server

=== tests/Makefile ===
--- 
+++ 
@@ -37,3 +37,9 @@
 install-vm:
 	install -d $(DESTDIR)/usr/lib/qubes-gpg-split
 	install test_*.py $(DESTDIR)/usr/lib/qubes-gpg-split/
+
+install-vm-deb: install-whonix-systemd-dropins
+
+install-whonix-systemd-dropins:
+	install -d $(DESTDIR)/lib/systemd/system/bootclockrandomization.service.d/
+	install whonix-clock-override.conf $(DESTDIR)/lib/systemd/system/bootclockrandomization.service.d/override.conf

=== debian/changelog ===
qubes-gpg-split (2.0.79-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 05 Aug 2025 22:56:19 +0200

qubes-gpg-split (2.0.79-1) unstable; urgency=medium

  * tests: adjust tests for Dovecot 2.4

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Aug 2025 22:56:19 +0200

## qubes-gpg-split 2.0.80

=== debian/changelog ===
qubes-gpg-split (2.0.80-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 27 Oct 2025 13:44:50 +0100

qubes-gpg-split (2.0.80-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: adjust dovecot 2.4 detection for F43

  [ Malte ]
  * add --default-key to allowed options

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 27 Oct 2025 13:44:50 +0100

## qubes-gpg-split 2.0.81

=== debian/changelog ===
qubes-gpg-split (2.0.81-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 09 Dec 2025 15:34:21 +0100

qubes-gpg-split (2.0.81-1) unstable; urgency=medium

  * tests: update for TB 145

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Dec 2025 15:34:21 +0100

## qubes-gpg-split 2.0.82

=== debian/changelog ===
qubes-gpg-split (2.0.82-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 12 Feb 2026 02:52:39 +0100

qubes-gpg-split (2.0.82-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Clean up list options before passing them to GnuPG

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 12 Feb 2026 02:52:39 +0100

## qubes-gpg-split 2.0.83

=== debian/changelog ===
qubes-gpg-split (2.0.83-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 19 Feb 2026 13:24:36 +0100

qubes-gpg-split (2.0.83-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * Do not install to /var/run in Debian package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Feb 2026 13:24:36 +0100
